## ros-kinetic-rosserial-python 0.7.7

=== debian/changelog ===
ros-kinetic-rosserial-python (0.7.7-0xenial) xenial; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * pyserial bug workaround to fix rosserial_test test against SerialClient.py (#313 <https://github.com/ros-drivers/rosserial/issues/313>)
  * Add requestTopics to correct publish before setup (#308 <https://github.com/ros-drivers/rosserial/issues/308>)
  * Contributors: Bei Chen Liu, Tom O'Connell

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-kinetic-rosserial-python (0.7.6-0xenial) xenial; urgency=high

  * Fix typo in serial error message (#253 <https://github.com/ros-drivers/rosserial/issues/253>)
  * Contributors: Jonathan Binney

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-kinetic-rosserial-python (0.7.5-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-kinetic-rosserial-python (0.7.4-0xenial) xenial; urgency=high

  * Try to read more serial bytes in a loop (#248 <https://github.com/ros-drivers/rosserial/issues/248>)
  * Add missing "import errno" to rosserial_python
  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * rosserial_python tcp server allowing socket address reuse (#242 <https://github.com/ros-drivers/rosserial/issues/242>)
  * Contributors: Mike Purvis, Vitor Matos, davidshin172

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-kinetic-rosserial-python (0.7.3-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-kinetic-rosserial-python (0.7.2-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-kinetic-rosserial-python (0.7.1-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-kinetic-rosserial-python (0.7.0-0xenial) xenial; urgency=high

  * Adds default queue_size of 10 for rosserial_python publisher.
  * Fixed queue size warning with diagnostics publisher.
  * We don't need roslib.load_manifest any more under catkin.
  * Contributors: Basheer Subei, David Lavoie-Boutin, Mike Purvis, eisoku9618

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-kinetic-rosserial-python (0.6.3-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-kinetic-rosserial-python (0.6.2-0xenial) xenial; urgency=high

  * Added MD5 verification for request and response messags upon ServiceClient registration.
  * Enabled registration of service clients
  * Contributors: Jonathan Jekir

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-kinetic-rosserial-python (0.6.1-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-kinetic-rosserial-python (0.6.0-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-kinetic-rosserial-python (0.5.6-0xenial) xenial; urgency=high

  * Add Mike Purvis as maintainer to all but xbee.
  * Added the missing inWaiting() to RosSerialServer
  * improvement: inform user of mismatched checksum for topic_id and msg
  * Fix indent on if-block.
  * Check for data in buffer before attempting to tryRead. Insert a 1ms sleep to avoid pegging the processor.
  * Better warning message for tryRead.
  * fix two points: 1. the number of bytes to read for chk_byte, 2. the wrong indentation about the defination of sendDiagnostics()
  * Try-block to handle IOErrors thrown from tryRead
  * Merge from hydro-devel.
  * fix the dupilcated registration problem of subscriber
  * remove ID_TX_STOP from rosserial_msgs/msg/TopicInfo.msg, using hardcode modification. fix the dupilcated registration problem of subscriber
  * modified rosserial
  * modified rosserial
  * Contributors: Girts Linde, Mike Purvis, Moju Zhao, bakui, denis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-kinetic-rosserial-python (0.5.5-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-kinetic-rosserial-python (0.5.4-0xenial) xenial; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 04:00:00 -0000

ros-kinetic-rosserial-python (0.5.3-0xenial) xenial; urgency=high

  * De-register subscribers and service clients upon disconnect.
    This prevents callbacks being called after a client program
    terminates a connection.
  * Fill out package.xml properly, include docstring in helper Python node.
  * Add message info helper script that supports rosserial_server

 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 04:00:00 -0000

ros-kinetic-rosserial-python (0.5.2-0xenial) xenial; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000

ros-kinetic-rosserial-python (0.5.1-0xenial) xenial; urgency=high

  * Merge branch 'rosserial_bakui' of git://github.com/tongtybj/rosserial into tongtybj-rosserial_bakui
    * Modified the frame structure for serial communication, particularly add the checksum for msg_len
  * Incorporate protocol version in message. Try to detect protocol version mismatch and give appropriate hints.

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 15 Jul 2013 04:00:00 -0000

ros-kinetic-rosserial-python (0.4.5-0xenial) xenial; urgency=high

  * Fix SeviceServer member names in error message
    'm' prefix was omitted, causing an exception while trying to print
    an error about md5 mismatches. Fix this to allow the error to be
    presented to the user.
  * Allow service calls with empty requests
    std_srvs::Empty has a request message of size zero. SerialClient.send

